Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel.exps
Class JDBCStringContains

    java.lang.Object
      org.apache.openjpa.kernel.exps.StringContains
          org.apache.openjpa.jdbc.kernel.exps.JDBCStringContains

All Implemented Interfaces:
  Serializable, JDBCFilterListener, FilterListener

Deprecated. Use `matches()` instead.

    public class JDBCStringContains

extends StringContains
implements JDBCFilterListener

Tests if the target contains the given argument. The argument must be a constant. Examples:
`"address.street.ext:stringContains (\"main\")"`

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.kernel.exps.StringContains
`TAG`

Constructor Summary
`JDBCStringContains()` Deprecated.

Method Summary
`void` | `appendTo(SQLBuffer buf, FilterValue target, FilterValue[] args, ClassMapping type, JDBCStore store)` Deprecated. Append the SQL for this expression or value.

Methods inherited from class org.apache.openjpa.kernel.exps.StringContains
`evaluate, expectsArguments, expectsTarget, getTag, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.kernel.exps.FilterListener
`evaluate, expectsArguments, expectsTarget, getTag, getType`

Constructor Detail

### JDBCStringContains

    public JDBCStringContains()

  Deprecated.

Method Detail

### appendTo

    public void appendTo(SQLBuffer buf,
                         FilterValue target,
                         FilterValue[] args,
                         ClassMapping type,
                         JDBCStore store)

  Deprecated.
  Description copied from interface: `JDBCFilterListener`
  Append the SQL for this expression or value.

  Specified by:
    `appendTo` in interface `JDBCFilterListener`
  Parameters:
    `buf` - the SQL buffer to append to
    `target` - the target to act on, or null if the listener doesn't expect a target
    `args` - the values of the arguments given in the filter, or null if this listener doesn't expect arguments
    `type` - the class mapping for the query's candidate class
    `store` - the store that owns the query

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.